Bug 31522 - Installer fails to detect lba32
Installer fails to detect lba32
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-12 12:18 EST by Gary L. Jackson
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-10 18:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gary L. Jackson 2001-03-12 12:18:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.61 [en] (X11; I; Linux 2.2.12-20 i686)

The installer failed to detect a need for an lba32 line in lilo.conf.  As a
result, after the installation, the host could not boot from the hard disk

Reproducible: Always
Steps to Reproduce:
1.  Note: this bug may be related to an interaction with the hardware.

IT'S NOT BAD HARDWARE:  We're simply mixing some old with some new...

2.  Install Redhat Wolverine on a machine using a large IDE drive as it's
boot device.
3.  That's it.

Actual Results:  The host failed to boot.  Lilo printed the "LI" on the
console, but did not proceed past that point.

Expected Results:  The host should have booted normally.

The host in question has the following hardware configuration:

1.  It is an IBM Netfinity 3000, with a motherboard with a 1998 copyright
date.  The on board IDE controller appears to be equally dated.  The CD-ROM
drive is attached to the second chain on this controller.

2.  It has a single Promise Ultra 100 UDMA100 card installed in it, with
two IBM 75GXP drives attached.  These drives are on the /dev/hde and
/dev/hdf devices.  The operating system is installed on /dev/hde.

The workaround I've been using is to have the install make a boot disk, use
that floppy to boot the first time, fix lilo.conf, then reboot.  That might
be somewhat obscure to a new user, though.

I am also concerned about implications for automated installs (ie,
kickstart).  Something can always be hacked in the last section of the
kickstart configuration, but I'd like to keep those files maintainable.
Comment 1 Michael Fulbright 2001-03-12 14:35:10 EST
Please give the steps to reproduce this - is it text mode, graphical mode,
kickstart, etc and all the steps afterwards.

We do not autopartition the booting partition above the 1024 cylinder limit. The
only way to have this happen is to select a preexisting partition as the
bootable partition.
Comment 2 Gary L. Jackson 2001-03-13 15:52:37 EST
This happens in graphical mode.  I haven't been autopartitioning - we need to
use a slightly odd partitioning scheme, so I've been partitioning and assigning
mount points by hand with disk druid.

The root filesystem (boot device) is on partition hde1, starting on cylinder 1
and ending on cylinder 521.
Comment 3 Michael Fulbright 2001-03-20 12:00:51 EST
If your boot cylinder ends on cylinder 521, the lba32 option will not be used.
We only put it in if the boot partition ends above cylinder 1023.
Comment 4 Brent Fox 2001-04-10 18:03:43 EDT
Closing due to inactivity.  Please reopen if you have more info.

Note You need to log in before you can comment on or make changes to this bug.